SDL_TimerCallback(3type)

NAME
SDL_TimerCallback - Function prototype for the timer callback function.

HEADER FILE
Defined in SDL3/SDL_timer.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef Uint32 (SDLCALL *SDL_TimerCallback)(Uint32 interval, void *param);

DESCRIPTION
The callback function is passed the current timer interval and returns the next timer interval, in milliseconds. If the returned value is the same as the one passed in, the periodic alarm continues, otherwise a new alarm is scheduled. If the callback returns 0, the periodic alarm is cancelled.

FUNCTION PARAMETERS

interval
    the current callback time interval.

param
    an arbitrary pointer provided by the app through SDL_AddTimer , for its own use.

RETURN VALUE
Returns the new callback time interval, or 0 to disable further runs of the callback.

THREAD SAFETY
SDL may call this callback at any time from a background thread; the application is responsible for locking resources the callback touches that need to be protected.

AVAILABILITY
This datatype is available since SDL 3.0.0.

SEE ALSO
SDL_AddTimer(3)